---
title: COVID-19 Screening Form
product: Survey Creator
description: A free template of a COVID-19 screening form. Easily modify the form in a no-code UI, copy its code and run the form in your JavaScript app with SurveyJS Form Library.
framework: Angular
source: https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/angular
index: https://surveyjs.io/survey-creator/examples/overview.md
---

# COVID-19 Screening Form (Angular)

## Files

### `src/app/components/creator.component.css`

```css
/* You can define custom CSS rules here */
```

### `src/app/components/creator.component.html`

```html
<div style="position: fixed; top: 0; bottom: 0; right: 0; left: 0;">
    <survey-creator [model]="model"></survey-creator>
</div>
```

### `src/app/components/survey_json.js`

```js
export const surveyJSON = {
    "title": "COVID-19 Screening Form",
    "description": "All fields with an asterisk (*) are required fields and must be filled out in order to process the information in strict confidentiality.",
    "logo": "https://surveyjs.io/Content/Images/examples/logo.png",   
    "logoHeight": "60px",
    "headerView": "advanced",
    "questionErrorLocation": "bottom",
    "pages": [{
        "name": "patient-info",
        "title": "Patient Information",
        "elements": [{
            "type": "panel",
            "name": "full-name",
            "title": "Full name",
            "elements": [{
                "type": "text",
                "name": "first-name",
                "title": "First name",
                "isRequired": true,
                "maxLength": 25
            }, {
                "type": "text",
                "name": "last-name",
                "startWithNewLine": false,
                "title": "Last name",
                "isRequired": true,
                "maxLength": 25
            }]
        }, {
            "type": "panel",
            "name": "personal-info",
            "elements": [{
                "type": "text",
                "name": "ssn",
                "title": "Social Security number",
                "isRequired": true,
                "maxLength": 9,
                "validators": [
                    {
                        "type": "regex",
                        "text": "Your SSN must be a 9-digit number",
                        "regex": "^\\d{9}$"
                    }
                ]
            }, {
                "type": "text",
                "name": "birthdate",
                "startWithNewLine": false,
                "title": "Date of Birth",
                "isRequired": true,
                "inputType": "date"
            }]
        }]
    }, {
        "name": "symptoms-and-contacts",
        "title": "Current Symptoms",
        "elements": [{
            "type": "checkbox",
            "name": "symptoms",
            "title": "Have you experienced any of the following symptoms of COVID-19 within the last 48 hours?",
            "isRequired": true,
            "choices": [
                "Fever or chills",
                "New and persistent cough",
                "Shortness of breath or difficulty breathing",
                "Fatigue",
                "Muscle or body aches",
                "New loss of taste or smell",
                "Sore throat"
            ],
            "showNoneItem": true,
            "noneText": "No symptoms"
        }, {
            "type": "boolean",
            "name": "contacted-person-with-symptoms",
            "title": "Have you been in contact with anyone in the last 14 days who is experiencing these symptoms?"
        }, {
            "type": "radiogroup",
            "name": "contacted-covid-positive",
            "title": "Have you been in contact with anyone who has since tested positive for COVID-19?",
            "choices": ["Yes", "No", "Not sure"]
        }, {
            "type": "boolean",
            "name": "travelled",
            "title": "Have you travelled abroad in the last 14 days?"
        }, {
            "type": "text",
            "name": "travel-destination",
            "visibleIf": "travelled = true",
            "title": "Where did you go?"
        }, {
            "type": "boolean",
            "name": "tested-covid-positive",
            "title": "Have you tested positive for COVID-19 in the past 10 days?"
        }, {
            "type": "boolean",
            "name": "awaiting-covid-test",
            "title": "Are you currently awaiting results from a COVID-19 test?"
        }, {
            "type": "paneldynamic",
            "name": "emergency-contacts",
            "title": "Emergency Contacts",
            "description": "If possible, it's best to specify at least TWO emergency contacts.",
            "panelsState": "firstExpanded",
            "confirmDelete": true,
            "addPanelText": "Add a new contact person",
            "visibleIf": "(({tested-covid-positive} = true or {contacted-covid-positive} = 'Yes') or ({symptoms} notempty and {symptoms} notcontains 'none'))",
            "isRequired": true,
            "templateElements": [{
                "type": "text",
                "name": "emergency-first-name",
                "title": "First name"
            }, {
                "type": "text",
                "name": "emergency-last-name",
                "startWithNewLine": false,
                "title": "Last name"
            }, {
                "type": "text",
                "name": "emergency-relationship",
                "title": "Relationship"
            }, {
                "type": "text",
                "name": "emergency-phone",
                "startWithNewLine": false,
                "title": "Phone number",
                "inputType": "tel"
            }]
        }, {
            "type": "comment",
            "name": "additional-info",
            "title": "Additional information"
        }, {
            "type": "text",
            "name": "date",
            "title": "Date",
            "inputType": "date"
        },
        {
            "type": "signaturepad",
            "name": "signature",
            "startWithNewLine": false,
            "title": "Signature"
        }
        ]
    }],
    "completeText": "Submit",
    "questionsOnPageMode": "singlePage",
    "showPreviewBeforeComplete": true,
    "previewMode": "answeredQuestions",
    "widthMode": "static",
    "width": "1000px"
};
```

### `src/app/components/creator.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { SurveyCreatorModel } from "survey-creator-core";
import "survey-core/survey.i18n";
import "survey-creator-core/survey-creator-core.i18n";
import { surveyJSON } from "./survey_json";
import "survey-core/survey-core.css";
import "survey-creator-core/survey-creator-core.css";

import SurveyTheme from "survey-core/themes";
import { registerCreatorTheme } from "survey-creator-core";

registerCreatorTheme(SurveyTheme); // Add predefined Survey Creator UI themes

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey-creator",
    templateUrl: "./creator.component.html",
    styleUrls: ["./creator.component.css"]
})
export class SurveyCreatorComponent implements OnInit {
    model: SurveyCreatorModel;
    ngOnInit() {
        const creator = new SurveyCreatorModel();
        creator.JSON = surveyJSON;
        this.model = creator;
    }
}
```

### `src/app/app.component.html`

```html
<component-survey-creator></component-survey-creator>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html"
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";
import { AppComponent } from "./app.component";
import { SurveyCreatorModule } from "survey-creator-angular";
import { SurveyCreatorComponent } from "./components/creator.component";

@NgModule({
    declarations: [AppComponent, SurveyCreatorComponent],
    imports: [BrowserModule, SurveyCreatorModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<app-root></app-root>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css
/* You can add global styles to this file and import other style files */
```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css"  ],
      "scripts": [  ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-angular-ui": "latest",
    "survey-creator-core": "latest",
    "survey-core": "latest",
    "survey-creator-angular": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~13.0.0",
    "@angular/cli": "~13.0.0",
    "@types/jasmine": "3.6.3",
    "@types/jasminewd2": "2.0.8",
    "@types/node": "14.14.28",
    "codelyzer": "6.0.1",
    "jasmine-core": "3.6.0",
    "jasmine-spec-reporter": "6.0.0",
    "karma": "6.1.1",
    "karma-chrome-launcher": "3.1.0",
    "karma-coverage-istanbul-reporter": "3.0.3",
    "karma-jasmine": "4.0.1",
    "karma-jasmine-html-reporter": "1.5.4",
    "protractor": "7.0.0",
    "ts-node": "9.1.1",
    "tslint": "~6.1.3",
    "typescript": "4.1.5"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/reactjs.md)
- [Vue 3](https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/vanillajs.md)


---
title: COVID-19 Screening Form
product: Survey Creator
description: A free template of a COVID-19 screening form. Easily modify the form in a no-code UI, copy its code and run the form in your JavaScript app with SurveyJS Form Library.
framework: React
source: https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/reactjs
index: https://surveyjs.io/survey-creator/examples/overview.md
---

# COVID-19 Screening Form (React)

## Files

### `public/index.html`

```html
<!-- Uncomment the following lines to enable Ace Editor in the JSON Editor tab -->
<!-- 
<script src="https://unpkg.com/ace-builds/src-min-noconflict/ace.js"></script>
<script src="https://unpkg.com/ace-builds/src-min-noconflict/ext-searchbox.js"></script>
<script src="https://unpkg.com/ace-builds/src-min-noconflict/theme-clouds_midnight.js"></script>
-->

<div id="surveyCreatorContainer" style="position: absolute; height: 100%; width: 100%"></div>
```

### `src/survey_json.js`

```js
export const surveyJSON = {
    "title": "COVID-19 Screening Form",
    "description": "All fields with an asterisk (*) are required fields and must be filled out in order to process the information in strict confidentiality.",
    "logo": "https://surveyjs.io/Content/Images/examples/logo.png",   
    "logoHeight": "60px",
    "headerView": "advanced",
    "questionErrorLocation": "bottom",
    "pages": [{
        "name": "patient-info",
        "title": "Patient Information",
        "elements": [{
            "type": "panel",
            "name": "full-name",
            "title": "Full name",
            "elements": [{
                "type": "text",
                "name": "first-name",
                "title": "First name",
                "isRequired": true,
                "maxLength": 25
            }, {
                "type": "text",
                "name": "last-name",
                "startWithNewLine": false,
                "title": "Last name",
                "isRequired": true,
                "maxLength": 25
            }]
        }, {
            "type": "panel",
            "name": "personal-info",
            "elements": [{
                "type": "text",
                "name": "ssn",
                "title": "Social Security number",
                "isRequired": true,
                "maxLength": 9,
                "validators": [
                    {
                        "type": "regex",
                        "text": "Your SSN must be a 9-digit number",
                        "regex": "^\\d{9}$"
                    }
                ]
            }, {
                "type": "text",
                "name": "birthdate",
                "startWithNewLine": false,
                "title": "Date of Birth",
                "isRequired": true,
                "inputType": "date"
            }]
        }]
    }, {
        "name": "symptoms-and-contacts",
        "title": "Current Symptoms",
        "elements": [{
            "type": "checkbox",
            "name": "symptoms",
            "title": "Have you experienced any of the following symptoms of COVID-19 within the last 48 hours?",
            "isRequired": true,
            "choices": [
                "Fever or chills",
                "New and persistent cough",
                "Shortness of breath or difficulty breathing",
                "Fatigue",
                "Muscle or body aches",
                "New loss of taste or smell",
                "Sore throat"
            ],
            "showNoneItem": true,
            "noneText": "No symptoms"
        }, {
            "type": "boolean",
            "name": "contacted-person-with-symptoms",
            "title": "Have you been in contact with anyone in the last 14 days who is experiencing these symptoms?"
        }, {
            "type": "radiogroup",
            "name": "contacted-covid-positive",
            "title": "Have you been in contact with anyone who has since tested positive for COVID-19?",
            "choices": ["Yes", "No", "Not sure"]
        }, {
            "type": "boolean",
            "name": "travelled",
            "title": "Have you travelled abroad in the last 14 days?"
        }, {
            "type": "text",
            "name": "travel-destination",
            "visibleIf": "travelled = true",
            "title": "Where did you go?"
        }, {
            "type": "boolean",
            "name": "tested-covid-positive",
            "title": "Have you tested positive for COVID-19 in the past 10 days?"
        }, {
            "type": "boolean",
            "name": "awaiting-covid-test",
            "title": "Are you currently awaiting results from a COVID-19 test?"
        }, {
            "type": "paneldynamic",
            "name": "emergency-contacts",
            "title": "Emergency Contacts",
            "description": "If possible, it's best to specify at least TWO emergency contacts.",
            "panelsState": "firstExpanded",
            "confirmDelete": true,
            "addPanelText": "Add a new contact person",
            "visibleIf": "(({tested-covid-positive} = true or {contacted-covid-positive} = 'Yes') or ({symptoms} notempty and {symptoms} notcontains 'none'))",
            "isRequired": true,
            "templateElements": [{
                "type": "text",
                "name": "emergency-first-name",
                "title": "First name"
            }, {
                "type": "text",
                "name": "emergency-last-name",
                "startWithNewLine": false,
                "title": "Last name"
            }, {
                "type": "text",
                "name": "emergency-relationship",
                "title": "Relationship"
            }, {
                "type": "text",
                "name": "emergency-phone",
                "startWithNewLine": false,
                "title": "Phone number",
                "inputType": "tel"
            }]
        }, {
            "type": "comment",
            "name": "additional-info",
            "title": "Additional information"
        }, {
            "type": "text",
            "name": "date",
            "title": "Date",
            "inputType": "date"
        },
        {
            "type": "signaturepad",
            "name": "signature",
            "startWithNewLine": false,
            "title": "Signature"
        }
        ]
    }],
    "completeText": "Submit",
    "questionsOnPageMode": "singlePage",
    "showPreviewBeforeComplete": true,
    "previewMode": "answeredQuestions",
    "widthMode": "static",
    "width": "1000px"
};
```

### `src/SurveyCreatorComponent.jsx`

```js
import React from "react";
import { SurveyCreator, SurveyCreatorComponent } from "survey-creator-react";
import "survey-core/survey.i18n";
import "survey-creator-core/survey-creator-core.i18n";
import { surveyJSON } from "./survey_json";
import "survey-core/survey-core.css";
import "survey-creator-core/survey-creator-core.css";
import "./index.css";

import SurveyTheme from "survey-core/themes";
import { registerCreatorTheme } from "survey-creator-core";

registerCreatorTheme(SurveyTheme); // Add predefined Survey Creator UI themes

function SurveyCreatorRenderComponent() {
    const creator = new SurveyCreator();
    creator.JSON = surveyJSON;
    return (<SurveyCreatorComponent creator={creator} />);
}

export default SurveyCreatorRenderComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyCreatorRenderComponent from "./SurveyCreatorComponent";

const root = createRoot(document.getElementById("surveyCreatorContainer"));
root.render(<SurveyCreatorRenderComponent />);
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest",
    "survey-creator-core": "latest",
    "survey-creator-react": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/angular.md)
- [Vue 3](https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/survey-creator/examples/covid-19-screening-form-template/vanillajs.md)
